%global svnversion 87788
%undefine _hardened_build
Name:           pcsxr
Version:        1.9.94
Release:        16%{?dist}
Summary:        A plugin based PlayStation (PSX) emulator with high compatibility

#All is GPLv2+ except:
# SOURCE/libpcsxcore/coff.h is BSD License (no advertising)
# SOURCE/libpcsxcore/sjisfont.h is Public Domain
# SOURCE/libpcsxcore/psemu_plugin_defs.h is Public Domain
License:        GPLv2+ and BSD and Public Domain
Url:            http://pcsxr.codeplex.com/
#The source can be downloaded here (1.9.94 is a snapshot of svn 87788):
#https://pcsxr.codeplex.com/downloads/get/756488
Source0:        https://pcsxr.codeplex.com/downloads/get/756488#/%{name}-%{svnversion}.zip
#Appdata:
Source1:        %{name}.appdata.xml
#Missing include, bug filed upstream:
#https://pcsxr.codeplex.com/workitem/12408
Patch0:         %{name}-%{version}-missinginclude.patch
#Fix for zlib 1.2.9+, backported from upstream PR:
#https://pcsxr.codeplex.com/SourceControl/network/forks/mgorny/pcsxr/contribution/9061
Patch1:         %{name}-%{version}-zlib129fix.patch
#Submitted upstream in master:
#https://pcsxr.codeplex.com/SourceControl/changeset/69e178589897f8f89cf52812537935134ed14fe4
#https://pcsxr.codeplex.com/SourceControl/changeset/9f4f1ce8f87318b4503ecd0eb2763796b5505c6d
Patch2:         %{name}-%{version}-SDLjoyoverflowbug.patch

BuildRequires:  SDL2-devel
BuildRequires:  gtk3-devel
BuildRequires:  nasm
BuildRequires:  mesa-libGL-devel
BuildRequires:  gettext
BuildRequires:  libXv-devel
BuildRequires:  libXtst-devel
BuildRequires:  libcdio-devel
BuildRequires:  intltool
BuildRequires:  glib2-devel
BuildRequires:  libtool
BuildRequires:  autoconf
BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib

#modified from debian files
%description
PCSX-Reloaded is an advanced PlayStation (PSX) emulator, which uses a plugin
architecture to provide full support for all components of the PSX. It has full
emulation support for game pads, videos, sound, memory cards, and other
important PSX components, and is able to play many games without problems.

%prep
%autosetup -p1 -n %{name}
#remove any unnecessary files:
rm -f -r win32 macosx

%build
sh autogen.sh
%configure --enable-libcdio --enable-opengl
%make_build

%install
%make_install
#Install desktop file
desktop-file-install \
  --remove-key=Encoding \
  --dir %{buildroot}%{_datadir}/applications \
  data/%{name}.desktop
#Install appdata.xml and verify
install -p -D -m 0644 %{SOURCE1} \
  %{buildroot}/%{_datadir}/appdata/%{name}.appdata.xml
appstream-util validate-relax --nonet \
  %{buildroot}/%{_datadir}/appdata/*.appdata.xml
#Remove static libraries
find %{buildroot} -name '*.la' -exec rm -f {} ';'
#Find locale
%find_lang %{name}

%files -f %{name}.lang
%doc doc/keys.txt doc/tweaks.txt AUTHORS README
%license COPYING
%{_mandir}/man1/%{name}.1*
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}-icon.png
%{_datadir}/psemu
%{_bindir}/%{name}
%{_libdir}/games/psemu
%{_datadir}/applications/%{name}.desktop
%{_datadir}/appdata/*.appdata.xml

%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.94-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.94-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jan 25 2018 Adrian Reber <adrian@lisas.de> - 1.9.94-14
- Rebuilt for libcdio-2.0.0

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.94-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.94-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Tue May 30 2017 Jeremy Newton <alexjnewt AT hotmail DOT com> - 1.9.94-11
- Backport fix for overflow issues

* Sun Feb 12 2017 Jeremy Newton <alexjnewt AT hotmail DOT com> - 1.9.94-10
- Backport fix for zlib-1.2.9+

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.94-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Dec 22 2016 Jeremy Newton <alexjnewt AT hotmail DOT com> - 1.9.94-8
- Appdata fixes

* Sun Dec 4 2016 Jeremy Newton <alexjnewt AT hotmail DOT com> - 1.9.94-7
- Added patch for missing include

* Sat Nov 26 2016 Jeremy Newton <alexjnewt AT hotmail DOT com> - 1.9.94-6
- Remove assert patch (issue was fixed in 1.9.93)
- Added appdata
- Removed unnecessary build require libglade2
- Updated source0 url

* Wed Nov 23 2016 Jeremy Newton <alexjnewt AT hotmail DOT com> - 1.9.94-5
- Remove static libraries
- Use license macro for COPYING

* Wed Nov 23 2016 Jeremy Newton <alexjnewt AT hotmail DOT com> - 1.9.94-4
- Use make macros
- Remove redundant prefix parameter in configure macro
- Use autosetup

* Wed Nov 02 2016 Leigh Scott <leigh123linux@googlemail.com> - 1.9.94-3
- Disable hardening (rfbz#4316)

* Tue Oct 28 2014 Nicolas Chauvet <kwizart@gmail.com> - 1.9.94-2
- Restore dist tag

* Mon Oct 27 2014 Jeremy Newton <alexjnewt AT hotmail DOT com> - 1.9.94-1
- Updated to 1.9.94 release (marked as alpha on website)
- Use SDL2

* Sat Apr 5 2014 Jeremy Newton <alexjnewt AT hotmail DOT com> - 1.9.93-2.svn89782
- Update to svn for Fedora 21 (beta 1.9.93 version doesn't build)

* Sat Apr 5 2014 Jeremy Newton <alexjnewt AT hotmail DOT com> - 1.9.93-1
- Updated to new beta release

* Thu May 30 2013 Jeremy Newton <alexjnewt AT hotmail DOT com> - 1.9.92-4.20130530svn85000
- Updated to new SVN version

* Sat Feb 16 2013 Jeremy Newton <alexjnewt AT hotmail DOT com> - 1.9.92-3.20130216svn82923
- Updated to new SVN version
- Changing version numbering to match Guidelines

* Fri Jan 4 2013 Jeremy Newton <alexjnewt AT hotmail DOT com> - 1.9.92-2.20130104svn82044
- Fixed missing gtk3 dependency

* Fri Jan 4 2013 Jeremy Newton <alexjnewt AT hotmail DOT com> - 1.9.92-1.20130104svn82044
- Updated to new SVN checkout version
- Removed unnecessary zero length Doc file (NEWS)

* Mon Jul 23 2012 Jeremy Newton <alexjnewt AT hotmail DOT com> - 1.9.92-1.20120723svn78971
- Added a patch to temporarily fix a 64bit-only problem

* Thu Jul 19 2012 Jeremy Newton <alexjnewt AT hotmail DOT com> - 1.9.92-1.20120719svn78971
- Updated to new SVN checkout version
- Removed unnessary hicolor icon updating

* Thu Jul 5 2012 Jeremy Newton <alexjnewt AT hotmail DOT com> - 1.9.92-1.20120705svn78288
- Updated to new SVN checkout version

* Fri Mar 9 2012 Jeremy Newton <alexjnewt AT hotmail DOT com> - 1.9.92-1.20120421svn77577
- Updated to new SVN checkout version

* Fri Mar 9 2012 Jeremy Newton <alexjnewt AT hotmail DOT com> - 1.9.92-1.20120309svn75683
- Updated to new SVN checkout version
- Changed define to global

* Sun Feb 19 2012 Jeremy Newton <alexjnewt AT hotmail DOT com> - 1.9.92-1.20120219svn75200
- Updated to new SVN checkout version

* Sun Feb 19 2012 Jeremy Newton <alexjnewt AT hotmail DOT com> - 1.9.92-1.20120219svn75156
- Updated to new SVN checkout version
- Added svn macro
- Removed incorrect disabling of opengl for 64bit

* Wed Feb 8 2012 Jeremy Newton <alexjnewt AT hotmail DOT com> - 1.9.92-3.20120128svn73976
- Minor source change for convenience.

* Wed Feb 8 2012 Jeremy Newton <alexjnewt AT hotmail DOT com> - 1.9.92-2.20120128svn73976
- Fixed and optimized source files for size and convenience.
- Added missing file in license breakdown

* Sat Jan 28 2012 Jeremy Newton <alexjnewt AT hotmail DOT com> - 1.9.92-1.20120128svn73976
- Fixed version number to be more specific
- Fixed inproper license
- Trimmed down the source, removed non-linux code

* Sat Jan 28 2012 Jeremy Newton <alexjnewt AT hotmail DOT com> - 1.9.92-1.20120128svn
- Initial package SPEC created
